#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  libkdcraw-23.08.5

- Next

  libkcddb-23.08.5

- Up
- Home

# Gwenview-23.08.5

## Introduction to Gwenview

Gwenview is a fast and easy-to-use image viewer for KDE.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/23.08.5/src/gwenview-23.08.5.tar.xz

- Download MD5 sum: dded6bc13018cb19276257158a428be0

- Download size: 6.6 MB

- Estimated disk space required: 50 MB

- Estimated build time: 0.5 SBU (using parallelism=4)

### Additional Downloads

- Required patch for building against kimageannotator-0.7.0: https://www.linuxfromscratch.org/patches/blfs/12.1/gwenview-23.08.5-build_fixes-1.patch

### Gwenview Dependencies

#### Required

Exiv2-0.28.2, kimageannotator-0.7.0, KDE Frameworks-5.115.0, and Little CMS-2.14

#### Recommended

libkdcraw-23.08.5

#### Optional

KF5Kipi

## Installation of Gwenview

First, work around an incompatibility with recent changes in kImageAnnotator:

    patch -Np1 -i ../gwenview-23.08.5-build_fixes-1.patch

Install Gwenview by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: gwenview and gwenview_importer
Installed Libraries: libgwenviewlib.so and gvpart.so
Installed Directories: $KF5_PREFIX/share/{kxmlgui5/gvpart,gwenview,doc/HTML/*/gwenview}

### Short Descriptions

gwenview | is the KDE image viewer
gwenview_importer | is a Photo importer

- Prev

  libkdcraw-23.08.5

- Next

  libkcddb-23.08.5

- Up
- Home